<?xml version="1.0" encoding="utf-8" ?>
<Recipe Name="CreateDataAccessorFromDAProject" xmlns="http://schemas.microsoft.com/pag/gax-core" xmlns:xi="http://www.w3.org/2001/XInclude" Bound="false">
	<xi:include href="Includes/CommonTypeAliases.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Types)" />
	<Caption>Create data accessor classes from data entities</Caption>
	<Description>Create data accessor classes from data entities</Description>
	<HostData>
		<Icon ID="9941" />
		<CommandBar Menu="Project" />
	</HostData>
	<Arguments>
		<!--<xi:include href="Common/CommonArguments.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Arguments/gax:Argument)" />-->
		<Argument Name="DataAccessProject" Type="EnvDTE.Project, EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
			<Converter Type="ProjectConverter" />
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.VisualStudio.CurrentProjectProvider, Microsoft.Practices.RecipeFramework.Extensions" />
		</Argument>
		<Argument Name="DataAccessClassNamespace">
			<ValueProvider Type="Evaluator" Expression="$(DataAccessProject.Properties.Item('DefaultNamespace').Value.ToString())" />
		</Argument>
		<Argument Name="DataEntitiesProject" Type="EnvDTE.Project, EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
			<Converter Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.Converters.ProjectWithResponsibilityConverter, Microsoft.Practices.SoftwareFactories.ServiceFactory" ResponsibilityArgument="IsDataEntityProject" />
			<ValueProvider Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.ValueProviders.ProjectsWithResponsibilityProvider, Microsoft.Practices.SoftwareFactories.ServiceFactory" ResponsibilityArgument="IsDataEntityProject" />
		</Argument>
		<Argument Name="DataEntityClassNamespace">
			<ValueProvider Type="Evaluator" Expression="$(DataEntitiesProject.Properties.Item('DefaultNamespace').Value.ToString())" />
		</Argument>
		<Argument Name="EntitiesSqlStatementMappings" Type="System.Collections.ArrayList, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
		<Argument Name="ProjectEntities" Type="System.Collections.ArrayList, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
			<ValueProvider Type="Howest.Guidance.DataAccess.ValueProviders.EntityVP, Howest.Guidance.DataAccess" ProjectArgument="DataEntitiesProject">
				<MonitorArgument Name="DataEntitiesProject" />
			</ValueProvider>
		</Argument>
		<Argument Name="Entities" Type="System.Collections.ArrayList, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
		<xi:include href="Includes/CommonConnectionStringWizardPages.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Recipe/gax:Arguments/gax:Argument)" />
		<!--<xi:include href="Includes/CreateEntityDataAccessorAssets.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Recipe/gax:Arguments/gax:Argument)" />-->
	</Arguments>
	<GatheringServiceData>
		<Wizard xmlns="http://schemas.microsoft.com/pag/gax-wizards" SchemaVersion="1.0" Help="ms-help://MS.VSCC.v80/MS.VSIPCC.v80/ms.wssf.2006Dec/WSSF/html/10-090-How_to_Create_Data_Repository_Classes.htm">
			<Pages>
				<xi:include href="Includes/CommonConnectionStringWizardPages.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xmlns(gaxw=http://schemas.microsoft.com/pag/gax-wizards) xpointer(/gax:Recipe/gax:GatheringServiceData/gaxw:Wizard/gaxw:Pages/gaxw:Page)" />
				<Page>
					<Title>Project properties</Title>
					<LinkTitle>Specify projects</LinkTitle>
					<Help>Specify projects.</Help>
					<Fields>
						<Field Label="Data entities project" ValueName="DataEntitiesProject">
							<Tooltip>Data entities project.</Tooltip>
						</Field>
					</Fields>
				</Page>
				<Page Type="Howest.Guidance.DataAccess.CustomWizardPages.EntitiesFromClassesSelectorCP, Howest.Guidance.DataAccess">
					<Title>Entities</Title>
					<LinkTitle>Specify entities</LinkTitle>
					<Help>Specify the entities that you want to create the data accessors from.</Help>
				</Page>
				<xi:include href="Includes/CreateEntityDataAccessorAssets.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xmlns(gaxw=http://schemas.microsoft.com/pag/gax-wizards) xpointer(/gax:Recipe/gax:GatheringServiceData/gaxw:Wizard/gaxw:Pages/gaxw:Page)" />
			</Pages>
		</Wizard>
	</GatheringServiceData>
	<Actions>
		<xi:include href="Includes/CreateEntityDataAccessorAssets.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Recipe/gax:Actions/gax:Action)" />
	</Actions>
</Recipe>